| Home · All Classes · All Namespaces · Modules · Functions · Files

# PendingFailure Class Reference

`#include <TelepathyQt4/PendingFailure>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingFailure (const QString &name, const QString &message, QObject *parent)
- PendingFailure (const QDBusError &error, QObject *parent)

## Detailed Description

A PendingOperation that always fails with the error passed to the constructor.

## Constructor & Destructor Documentation

PendingFailure | ( | const QString & | name,
|  | const QString & | message,
|  | QObject * | parent |
| ) |  |  | `[inline]`

PendingFailure | ( | const QDBusError & | error,
|  | QObject * | parent |
| ) |  |  | `[inline]`